<script>
	export let data;

	import { onMount } from 'svelte';
	
	let name;
	let subs = 0;

	$: {
		if (name) {
			data.profile.name = name;
		}
	}

	onMount(() => {
		const unsub = data.profile.subscribe((model) => {
			name = model.name;
		});

		return unsub;
	});
	
</script>

<div>
	<section>
	Initialized from <a href="/example-frontend-header/bundle.js">external bundle</a>
</section>
<section><input bind:value={name} /></section>
</div>

<style>
	div {
		box-sizing: border-box;
		background: #ececeb;
		width: 100%;
		font-size: 0.75em;
		padding: 1em 2em;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	a {
		color: #ff3e00;
	}
</style>